do_uconvert(3)

NAME
do_uconvert

SYNOPSIS
#include <allegro.h>

void do_uconvert(const char *s, int type, char *buf, int newtype, int size);

DESCRIPTION
Converts the specified string `s' from `type' to `newtype', storing at most `size' bytes into the output `buf'. The type parameters can use the value U_CURRENT as a shortcut to represent the currently selected encoding format. Example:
   char temp_string[256];
   do_uconvert(input_string, U_CURRENT, temp_string, U_ASCII, 256);

Note that, even for empty strings, your destination string must have at least enough bytes to store the terminating null character of the string, and your parameter size must reflect this. Otherwise, the debug version of Allegro will abort at an assertion, and the release version of Allegro will overrun the destination buffer.

SEE ALSO
uconvert(3)